import React from 'react';
import PropTypes from 'prop-types';
import Description from './Description';
import Term from './Term';
import { ComponentProps } from '../utils/types';
interface DefinitionListPropsBase {
    children?: React.ReactNode;
    /**
     * A React ref which is set to the DOM element when the component mounts and null when it unmounts.
     */
    elementRef?: React.Ref<HTMLDListElement>;
    /**
     * Sets the character used to separate key-value pair.
     */
    separatorCharacter?: '.' | string;
    /**
     * Defines the width of the key (term).
     */
    termWidth?: string;
}
type DefinitionListProps = ComponentProps<DefinitionListPropsBase, 'dl'>;
declare function DefinitionList({ children, elementRef, separatorCharacter, termWidth, ...otherProps }: DefinitionListProps): React.JSX.Element;
declare namespace DefinitionList {
    var propTypes: {
        children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        elementRef: PropTypes.Requireable<object>;
        separatorCharacter: PropTypes.Requireable<string | PropTypes.Requireable<string>>;
        termWidth: PropTypes.Requireable<string>;
    };
    var Description: typeof import("./Description").default;
    var Term: typeof import("./Term").default;
}
export default DefinitionList;
export { Description, Term };
