import React from 'react';
import PropTypes from 'prop-types';
import { HeadAutosizeColumnHandler, HeadRequestResizeColumnHandler } from './Head';
import { ComponentProps } from '../utils/types';
type HeadInnerAutosizeColumnHandler = HeadAutosizeColumnHandler;
type HeadInnerRequestResizeHandler = HeadRequestResizeColumnHandler;
interface HeadInnerPropsBase {
    align?: 'left' | 'center' | 'right';
    cellId?: string;
    clickable?: boolean;
    columnId?: string;
    elementRef?: React.Ref<HTMLButtonElement | HTMLDivElement>;
    focusWithin?: boolean;
    hasTooltip?: boolean;
    index?: number;
    isMenu?: boolean;
    label?: React.ReactNode;
    onAutosizeColumn?: HeadInnerAutosizeColumnHandler;
    onRequestResize?: HeadInnerRequestResizeHandler;
    resizable?: boolean;
    sortDir?: 'none' | 'asc' | 'desc';
    truncate?: boolean;
    width?: number | 'auto';
    variant?: 'toggleAll' | 'info' | 'actions';
}
type HeadInnerProps = ComponentProps<HeadInnerPropsBase, 'div'>;
declare function HeadInner({ align, clickable, cellId, columnId, elementRef, focusWithin, hasTooltip, index, isMenu, label, onAutosizeColumn, onRequestResize, resizable, sortDir, truncate, variant, width: widthProp, ...otherProps }: HeadInnerProps): React.JSX.Element;
declare namespace HeadInner {
    var propTypes: {
        align: PropTypes.Requireable<string>;
        cellId: PropTypes.Requireable<string>;
        clickable: PropTypes.Requireable<boolean>;
        columnId: PropTypes.Requireable<string>;
        elementRef: PropTypes.Requireable<object>;
        focusWithin: PropTypes.Requireable<boolean>;
        hasTooltip: PropTypes.Requireable<boolean>;
        index: PropTypes.Requireable<number>;
        isMenu: PropTypes.Requireable<boolean>;
        label: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        onAutosizeColumn: PropTypes.Requireable<(...args: any[]) => any>;
        onRequestResize: PropTypes.Requireable<(...args: any[]) => any>;
        resizable: PropTypes.Requireable<boolean>;
        sortDir: PropTypes.Requireable<string>;
        truncate: PropTypes.Requireable<boolean>;
        width: PropTypes.Requireable<NonNullable<string | number | null | undefined>>;
        variant: PropTypes.Requireable<string>;
    };
}
export default HeadInner;
